<script setup lang="ts">
// import numb from '~/assets/img/dsj/numb.webp'
const props = defineProps<{
  n: number | string
  len: number
}>()

function formatNumber(n: number | string) {
  return n.toString().padStart(props.len, '0').split('')
}
const arr = formatNumber(props.n)
</script>

<template>
  <div class="flex space-x-1">
    <div v-for="(n, idx) in arr" :key="idx" class="w-3.5rem h-4.4rem bg_numb flex_center text-hex-6ff text-4xl border-0.15rem border-hex-6ff">
      {{ n }}
    </div>
  </div>
</template>

<style scoped lang="scss">
.bg_numb{
  background-image: url('~/assets/img/dsj/numb.webp');
}
</style>
